Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.receivers
Class AbstractInOutMessageReceiver

    java.lang.Object
      org.apache.axis2.receivers.AbstractMessageReceiver
          org.apache.axis2.receivers.AbstractInOutMessageReceiver

All Implemented Interfaces:
  MessageReceiver

Direct Known Subclasses:
  AbstractInOutAsyncMessageReceiver

    public abstract class AbstractInOutMessageReceiver

extends AbstractMessageReceiver

This is the Absract IN-OUT MEP MessageReceiver. The protected abstract methods are only for the sake of breaking down the logic

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`AbstractMessageReceiver.AsyncMessageReceiverWorker, AbstractMessageReceiver.ThreadContextDescriptor`

Field Summary

Fields inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`DO_ASYNC, log, SAVED_MC, SAVED_TCCL, SCOPE, serviceTCCL`

Constructor Summary
`AbstractInOutMessageReceiver()`

Method Summary
`void` | `invokeBusinessLogic(MessageContext msgContext)` Do the actual work of the MessageReceiver.
`abstract void` | `invokeBusinessLogic(MessageContext inMessage, MessageContext outMessage)`

Methods inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`getSOAPFactory, getTheImplementationObject, makeNewServiceObject, receive, replicateState, restoreThreadContext, setThreadContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractInOutMessageReceiver

    public AbstractInOutMessageReceiver()

Method Detail

### invokeBusinessLogic

    public abstract void invokeBusinessLogic(MessageContext inMessage,
                                             MessageContext outMessage)
                                      throws AxisFault

  Throws:
    `AxisFault`

### invokeBusinessLogic

    public final void invokeBusinessLogic(MessageContext msgContext)
                                   throws AxisFault

  Description copied from class: `AbstractMessageReceiver`
  Do the actual work of the MessageReceiver. Must be overridden by concrete subclasses.

  Specified by:
    `invokeBusinessLogic` in class `AbstractMessageReceiver`
  Parameters:
    `msgContext` - active MessageContext
  Throws:
    `AxisFault` - if a problem occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.